import React, { CSSProperties } from 'react';
import './style.scss';
export declare type inputProps = {
    style?: CSSProperties;
    className?: string;
    prefix?: string | React.ReactNode;
    suffix?: string | React.ReactNode;
    clearable?: boolean;
    clearableFn?: () => void;
    focus?: (e: React.FocusEvent<HTMLInputElement>) => void;
    blur?: () => void;
    onChange?: (e: React.ChangeEvent<HTMLInputElement>) => void;
    placeholder?: string;
    value?: string | number;
    type?: string;
    showPassword?: boolean;
    status?: 'error' | 'warning';
};
declare function Input(props: inputProps): JSX.Element;
declare namespace Input {
    var defaultProps: {
        style: string;
        className: string;
        prefix: string;
        suffix: string;
        clearable: boolean;
        clearableFn: () => void;
        focus: () => void;
        blur: () => void;
        onChange: () => void;
        placeholder: string;
        value: string;
        type: string;
        showPassword: boolean;
        status: string;
    };
}
declare const _default: React.MemoExoticComponent<typeof Input>;
export default _default;
