import React from 'react';
import './style.scss';
export interface PopoverProps {
    children: React.ReactNode;
    content: string | React.ReactNode;
    title: string;
    placement?: 'left' | 'right' | 'top' | 'bottom';
    defaultOpen?: boolean | undefined;
    visible?: boolean | undefined;
    onOpenChange?: (visible: boolean) => void;
    trigger?: 'hover' | 'focus' | 'click';
    getPopupContainer?: (triggerNode: HTMLElement) => HTMLElement;
}
declare function Popover(props: PopoverProps): JSX.Element;
declare namespace Popover {
    var defaultProps: {
        placement: string;
        defaultOpen: undefined;
        visible: undefined;
        onOpenChange: () => void;
        trigger: string;
        getPopupContainer: () => void;
    };
}
declare const _default: React.MemoExoticComponent<typeof Popover>;
export default _default;
